=== modified file 'debian/control'
--- debian/control	2009-01-04 21:20:50 +0000
+++ debian/control	2008-09-30 03:19:39 +0000
@@ -4,9 +4,9 @@
 Maintainer: Mandos Maintainers <mandos@fukt.bsnet.se>
 Uploaders: Teddy Hogeborn <teddy@fukt.bsnet.se>,
 	   Björn Påhlsson <belorn@fukt.bsnet.se>
-Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl,
-	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc,
-	po-debconf, pkg-config
+Build-Depends: debhelper (>= 7), docbook-xsl, libavahi-core-dev,
+	libgpgme11-dev, libgnutls-dev, xsltproc, po-debconf,
+	pkg-config
 Standards-Version: 3.8.0
 Vcs-Bzr: http://ftp.fukt.bsnet.se/pub/mandos/trunk
 Vcs-Browser: http://bzr.fukt.bsnet.se/loggerhead/mandos/trunk/files

=== modified file 'mandos'
--- mandos	2009-01-04 21:26:57 +0000
+++ mandos	2008-12-29 02:44:54 +0000
@@ -1046,7 +1046,8 @@
                               use_dbus = use_dbus)
                        for section in client_config.sections()))
     if not clients:
-        logger.warning(u"No clients defined")
+        logger.critical(u"No clients defined")
+        sys.exit(1)
     
     if debug:
         # Redirect stdin so all checkers get /dev/null
@@ -1135,9 +1136,6 @@
                         self.ClientRemoved(object_path)
                         return
                 raise KeyError
-            @dbus.service.method(_interface)
-            def Quit(self):
-                main_loop.quit()
 
             del _interface
     

=== modified file 'mandos.xml'
--- mandos.xml	2009-01-04 21:20:50 +0000
+++ mandos.xml	2008-12-29 02:44:54 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-12-28">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -236,8 +236,7 @@
 	<listitem>
 	  <xi:include href="mandos-options.xml" xpointer="dbus"/>
 	  <para>
-	    See also <xref linkend="dbus_interface"/>.
-	  </para>
+	    See also <xref linkend="dbus"/>.
 	</listitem>
       </varlistentry>
     </variablelist>
@@ -335,7 +334,7 @@
     </para>
   </refsect1>
   
-  <refsect1 id="dbus_interface">
+  <refsect1 id="dbus">
     <title>D-BUS INTERFACE</title>
     <para>
       The server will by default provide a D-Bus system bus interface.

